We will be migrating from Ask to Discourse on the first week of August, read the details here

Ask Your Question
0

Error message reads Install the hyphenation package for locale "zh"

asked 2020-04-16 09:05:53 +0200

nebuchednezar gravatar image

Ins't "zh" Chinese? Which means that it doesn't have hyphenation inherently? If there were a Chinse dictionary for the programm, is it available through extension page?

edit retag flag offensive close merge delete

Comments

Eh, do you speak Chinese really? The language does not have a concept of hyphenation, as I know.

is it available through extension page?

This is a bad question. Go to the page and search.

gabix gravatar imagegabix ( 2020-04-16 09:11:22 +0200 )edit
1

@gabix, I am afraid you misunderstood the question. It is not the issue of whether Chinese has the concept of hyphenation or not. It is about the error message that LibreOffice prompted to users which is meaningless.

Tony Palmer gravatar imageTony Palmer ( 2020-04-25 10:16:20 +0200 )edit
1

The message appears when the paragraph (style) format implies automatic hyphenation, but no hyphenation module is installed for a particular language. That’s OK. However, this particular case probably deserves a report at Bugzilla.

gabix gravatar imagegabix ( 2020-04-27 17:06:57 +0200 )edit

I read and write Chinese and I have the same problem. When I open a document with Chinese characters (I am editing one that is .docx and changing to another format is not an option) I have the same problem.

I am using Libreoffice 6.4.4.2 on Ubuntu 20.04. Getting this error is not the only problem. All formatting of the text is gone and it is not possible to underline characters, only italic and bold are possible.

Does anyone have an idea of how to fix this problem?

Molbo gravatar imageMolbo ( 2020-07-04 11:46:40 +0200 )edit

1 Answer

Sort by » oldest newest most voted
0

answered 2020-07-04 12:08:47 +0200

Molbo gravatar image

After having the same problem and having typesetting problems at the same time I tried to see what I could maybe add as an extension. I found nothing. So far my only solution is to copy the text into a new document, but it has to copied as unformatted text otherwise the problem will still be there. When I save the new file and open it the error message is gone and I can typeset the characters. I know it is not a nice solution, but at least it sort of solves the problem. (I am sure that if someone edits the document with some other program the problem will come back).

edit flag offensive delete link more

Comments

I got the same error, but for «qlt», in my case. Reading your comment @Molbo

"So far my only solution is to copy the text into a new document, but it has to copied as unformatted text"

Made me think... if this is a hyphenation problem, that is solved in a new document, this must mean the language it is written in (or it is supposed to be! written in) is indeed supported by my system. I checked my system's hyphenation support (in my case, Arch Linux. All of those packages from the official repos):

  • hyphen (general library for hyphenation)
  • hyphen-en (English hyphenation rules)
  • hyphen-es (Spanish hyphenation rules)

So, if the document was supposed to be in Spanish and, in fact, if I write a new document I get no errors, I did a very simple thing: tools > language > entire document > Spanish.

And the error was ...(plus)

PolGZ gravatar imagePolGZ ( 2020-09-04 09:32:00 +0200 )edit
Login/Signup to Answer

Question Tools

1 follower

Stats

Asked: 2020-04-16 09:05:53 +0200

Seen: 4,750 times

Last updated: Jul 04 '20